using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.StoragesContracts
{
	public interface IVaccinationStorage
	{
		List<VaccinationViewModel> GetFullList();
		List<VaccinationViewModel> GetFilteredList(VaccinationSearchModel model);
		VaccinationViewModel? GetElement(VaccinationSearchModel model);
		VaccinationViewModel? Insert(VaccinationBindingModel model);
		VaccinationViewModel? Update(VaccinationBindingModel model);
		VaccinationViewModel? Delete(VaccinationBindingModel model);
	}
}
